diff --git a/gplugin/tests/test-signals.c b/gplugin/tests/test-signals.c
--- a/gplugin/tests/test-signals.c
+++ b/gplugin/tests/test-signals.c
@@ -142,7 +142,7 @@
 test_gplugin_manager_signals_normal(void)
 {
 	GPluginPlugin *plugin = NULL;
-	GPluginManager *manager = gplugin_manager_get_instance();
+	GPluginManager *manager = gplugin_manager_get_default();
 	GError *error = NULL;
 	TestGPluginManagerSignalsData data = {
 		.loading = FALSE,
@@ -173,16 +173,17 @@
 		G_CALLBACK(test_gplugin_manager_signals_normal_unloaded),
 		&data);
 
-	gplugin_manager_append_path(TEST_DIR);
-	gplugin_manager_refresh();
+	gplugin_manager_append_path(manager, TEST_DIR);
+	gplugin_manager_refresh(manager);
 
-	plugin = gplugin_manager_find_plugin("gplugin/native-basic-plugin");
-	gplugin_manager_load_plugin(plugin, &error);
+	plugin =
+		gplugin_manager_find_plugin(manager, "gplugin/native-basic-plugin");
+	gplugin_manager_load_plugin(manager, plugin, &error);
 	g_assert_no_error(error);
 	g_assert_true(data.loading);
 	g_assert_true(data.loaded);
 
-	gplugin_manager_unload_plugin(plugin, &error);
+	gplugin_manager_unload_plugin(manager, plugin, &error);
 	g_assert_no_error(error);
 	g_assert_true(data.unloading);
 	g_assert_true(data.unloaded);
@@ -197,7 +198,7 @@
 test_gplugin_manager_signals_loading_stopped(void)
 {
 	GPluginPlugin *plugin = NULL;
-	GPluginManager *manager = gplugin_manager_get_instance();
+	GPluginManager *manager = gplugin_manager_get_default();
 	GError *error = NULL;
 	TestGPluginManagerSignalsData data = {
 		.loading = FALSE,
@@ -228,11 +229,12 @@
 		G_CALLBACK(test_gplugin_manager_signals_normal_unloaded),
 		&data);
 
-	gplugin_manager_append_path(TEST_DIR);
-	gplugin_manager_refresh();
+	gplugin_manager_append_path(manager, TEST_DIR);
+	gplugin_manager_refresh(manager);
 
-	plugin = gplugin_manager_find_plugin("gplugin/native-basic-plugin");
-	gplugin_manager_load_plugin(plugin, &error);
+	plugin =
+		gplugin_manager_find_plugin(manager, "gplugin/native-basic-plugin");
+	gplugin_manager_load_plugin(manager, plugin, &error);
 	g_assert_error(error, GPLUGIN_DOMAIN, 0);
 	g_error_free(error);
 
@@ -251,7 +253,7 @@
 test_gplugin_manager_signals_unloading_stopped(void)
 {
 	GPluginPlugin *plugin = NULL;
-	GPluginManager *manager = gplugin_manager_get_instance();
+	GPluginManager *manager = gplugin_manager_get_default();
 	GError *error = NULL;
 	TestGPluginManagerSignalsData data = {
 		.loading = FALSE,
@@ -282,16 +284,17 @@
 		G_CALLBACK(test_gplugin_manager_signals_normal_unloaded),
 		&data);
 
-	gplugin_manager_append_path(TEST_DIR);
-	gplugin_manager_refresh();
+	gplugin_manager_append_path(manager, TEST_DIR);
+	gplugin_manager_refresh(manager);
 
-	plugin = gplugin_manager_find_plugin("gplugin/native-basic-plugin");
-	gplugin_manager_load_plugin(plugin, &error);
+	plugin =
+		gplugin_manager_find_plugin(manager, "gplugin/native-basic-plugin");
+	gplugin_manager_load_plugin(manager, plugin, &error);
 	g_assert_no_error(error);
 	g_assert_true(data.loading);
 	g_assert_true(data.loaded);
 
-	gplugin_manager_unload_plugin(plugin, &error);
+	gplugin_manager_unload_plugin(manager, plugin, &error);
 	g_assert_error(error, GPLUGIN_DOMAIN, 0);
 	g_error_free(error);
 
@@ -308,7 +311,7 @@
 test_gplugin_manager_signals_load_failure(void)
 {
 	GPluginPlugin *plugin = NULL;
-	GPluginManager *manager = gplugin_manager_get_instance();
+	GPluginManager *manager = gplugin_manager_get_default();
 	GError *error = NULL;
 	TestGPluginManagerSignalsData data = {
 		.loading = FALSE,
@@ -327,11 +330,11 @@
 		G_CALLBACK(test_gplugin_manager_signals_load_failed),
 		&data);
 
-	gplugin_manager_append_path(TEST_DIR);
-	gplugin_manager_refresh();
+	gplugin_manager_append_path(manager, TEST_DIR);
+	gplugin_manager_refresh(manager);
 
-	plugin = gplugin_manager_find_plugin("gplugin/native-load-failed");
-	gplugin_manager_load_plugin(plugin, &error);
+	plugin = gplugin_manager_find_plugin(manager, "gplugin/native-load-failed");
+	gplugin_manager_load_plugin(manager, plugin, &error);
 	g_assert_error(error, GPLUGIN_DOMAIN, 0);
 	g_error_free(error);
 
@@ -346,7 +349,7 @@
 test_gplugin_manager_signals_unload_failure(void)
 {
 	GPluginPlugin *plugin = NULL;
-	GPluginManager *manager = gplugin_manager_get_instance();
+	GPluginManager *manager = gplugin_manager_get_default();
 	GError *error = NULL;
 	TestGPluginManagerSignalsData data = {
 		.loading = FALSE,
@@ -377,16 +380,17 @@
 		G_CALLBACK(test_gplugin_manager_signals_unload_failed),
 		&data);
 
-	gplugin_manager_append_path(TEST_DIR);
-	gplugin_manager_refresh();
+	gplugin_manager_append_path(manager, TEST_DIR);
+	gplugin_manager_refresh(manager);
 
-	plugin = gplugin_manager_find_plugin("gplugin/native-unload-failed");
-	gplugin_manager_load_plugin(plugin, &error);
+	plugin =
+		gplugin_manager_find_plugin(manager, "gplugin/native-unload-failed");
+	gplugin_manager_load_plugin(manager, plugin, &error);
 	g_assert_no_error(error);
 	g_assert_true(data.loading);
 	g_assert_true(data.loaded);
 
-	gplugin_manager_unload_plugin(plugin, &error);
+	gplugin_manager_unload_plugin(manager, plugin, &error);
 	g_assert_error(error, GPLUGIN_DOMAIN, 0);
 	g_error_free(error);
 
diff --git a/gplugin/tests/test-unresolved-symbol.c b/gplugin/tests/test-unresolved-symbol.c
--- a/gplugin/tests/test-unresolved-symbol.c
+++ b/gplugin/tests/test-unresolved-symbol.c
@@ -29,14 +29,16 @@
 static void
 test_unresolved_symbol(void)
 {
+	GPluginManager *manager = gplugin_manager_get_default();
+
 	g_test_expect_message(
 		G_LOG_DOMAIN,
 		G_LOG_LEVEL_WARNING,
 		"*some_unresolved_symbol*");
 
-	gplugin_manager_remove_paths();
-	gplugin_manager_append_path(PLUGIN_DIR);
-	gplugin_manager_refresh();
+	gplugin_manager_remove_paths(manager);
+	gplugin_manager_append_path(manager, PLUGIN_DIR);
+	gplugin_manager_refresh(manager);
 
 	g_test_assert_expected_messages();
 }
diff --git a/gplugin/tests/test-versioned-dependencies.c b/gplugin/tests/test-versioned-dependencies.c
--- a/gplugin/tests/test-versioned-dependencies.c
+++ b/gplugin/tests/test-versioned-dependencies.c
@@ -25,9 +25,10 @@
 static void
 _test_plugin_loaded(GPluginPlugin *dependent, const gchar *id)
 {
+	GPluginManager *manager = gplugin_manager_get_default();
 	GPluginPlugin *plugin = NULL;
 
-	plugin = gplugin_manager_find_plugin(id);
+	plugin = gplugin_manager_find_plugin(manager, id);
 	g_assert_cmpint(
 		gplugin_plugin_get_state(plugin),
 		==,
@@ -42,20 +43,23 @@
 static void
 test_load_with_dependencies(void)
 {
+	GPluginManager *manager = NULL;
 	GPluginPlugin *plugin = NULL;
 	GError *error = NULL;
 	gboolean ret = FALSE;
 
 	gplugin_init(GPLUGIN_CORE_FLAGS_NONE);
 
-	gplugin_manager_append_path(TEST_VERSIONED_DEPENDENCY_DIR);
-	gplugin_manager_refresh();
+	manager = gplugin_manager_get_default();
 
-	plugin = gplugin_manager_find_plugin("gplugin/super-dependent");
+	gplugin_manager_append_path(manager, TEST_VERSIONED_DEPENDENCY_DIR);
+	gplugin_manager_refresh(manager);
+
+	plugin = gplugin_manager_find_plugin(manager, "gplugin/super-dependent");
 	g_assert_nonnull(plugin);
 	g_assert_true(GPLUGIN_IS_PLUGIN(plugin));
 
-	ret = gplugin_manager_load_plugin(plugin, &error);
+	ret = gplugin_manager_load_plugin(manager, plugin, &error);
 	g_assert_no_error(error);
 	g_assert_true(ret);
 
diff --git a/lua/gplugin-lua-core.c b/lua/gplugin-lua-core.c
--- a/lua/gplugin-lua-core.c
+++ b/lua/gplugin-lua-core.c
@@ -56,10 +56,17 @@
 static gboolean
 gplugin_lua_load(GPluginPlugin *plugin, GError **error)
 {
+	GPluginManager *manager = NULL;
+
+	manager = gplugin_manager_get_default();
+
 	gplugin_lua_loader_register(G_TYPE_MODULE(plugin));
 	gplugin_lua_plugin_register(G_TYPE_MODULE(plugin));
 
-	return gplugin_manager_register_loader(GPLUGIN_LUA_TYPE_LOADER, error);
+	return gplugin_manager_register_loader(
+		manager,
+		GPLUGIN_LUA_TYPE_LOADER,
+		error);
 }
 
 static gboolean
diff --git a/perl5/gplugin-perl5-core.c b/perl5/gplugin-perl5-core.c
--- a/perl5/gplugin-perl5-core.c
+++ b/perl5/gplugin-perl5-core.c
@@ -55,10 +55,17 @@
 static gboolean
 gplugin_perl5_load(GPluginPlugin *plugin, GError **error)
 {
+	GPluginManager *manager = NULL;
+
+	manager = gplugin_manager_get_default();
+
 	gplugin_perl_plugin_register(G_TYPE_MODULE(plugin));
 	gplugin_perl_loader_register(G_TYPE_MODULE(plugin));
 
-	return gplugin_manager_register_loader(GPLUGIN_PERL_TYPE_LOADER, error);
+	return gplugin_manager_register_loader(
+		manager,
+		GPLUGIN_PERL_TYPE_LOADER,
+		error);
 }
 
 static gboolean
diff --git a/python3/gplugin-python3-core.c b/python3/gplugin-python3-core.c
--- a/python3/gplugin-python3-core.c
+++ b/python3/gplugin-python3-core.c
@@ -56,10 +56,17 @@
 static gboolean
 gplugin_python3_load(GPluginPlugin *plugin, GError **error)
 {
+	GPluginManager *manager = NULL;
+
+	manager = gplugin_manager_get_default();
+
 	gplugin_python3_plugin_register(G_TYPE_MODULE(plugin));
 	gplugin_python3_loader_register(G_TYPE_MODULE(plugin));
 
-	return gplugin_manager_register_loader(GPLUGIN_PYTHON3_TYPE_LOADER, error);
+	return gplugin_manager_register_loader(
+		manager,
+		GPLUGIN_PYTHON3_TYPE_LOADER,
+		error);
 }
 
 static gboolean
